/***************************************************************************
                          extendedwidget.h  -  description
                             -------------------
    begin                : Don Nov 14 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EXTENDEDWIDGET_H
#define EXTENDEDWIDGET_H

#include <stdlib.h>

#include <qwidget.h>
#include <qlabel.h>
#include <qtimer.h>
#include <klocale.h>
#include <kcombobox.h>
#include <klineedit.h>

#include "constants.h"

#include "wcard.h"

/**
  *@author Matthias Reif
  */

class ExtendedWidget : public QWidget  {
   Q_OBJECT
public: 
	ExtendedWidget(WCard *pCard, QWidget *parent=0, const char *name=0);
	~ExtendedWidget();

protected:

  WCard   *card;

  QString   *notString;

  QLabel *protocolLabel1;
  QLabel *protocolLabel2;

  QLabel *freqLabel1;
  QLabel *freqLabel2;

  QLabel *channelLabel1;
  QLabel *channelLabel2;
  
  QLabel *bitRateLabel1;
  QLabel *bitRateLabel2;
  KComboBox *bitRateCombo;

  QLabel *tpwrLabel1;
  QLabel *tpwrLabel2;

  QLabel *sensLabel1;
  QLabel *sensLabel2;
  KComboBox *sensCombo;

  QLabel  *essidLabel;
  KLineEdit *essidEdit;
      
  QTimer *timer;

  BitRates *bitRates;
  
public slots: // Public slots
  /** No descriptions */
  void slotAct();
  /** No descriptions */
  void slotFreqChannel();
  /** No descriptions */
  void slotBitRates();
  /** No descriptions */
  void slotBitRateChanged(int index);
  /** No descriptions */
  void slotSensChanged(int index);
  /** No descriptions */
  void slotESSIDChanged();

      
};

#endif
