/***************************************************************************
                          infowidget.cpp  -  description
                             -------------------
    begin                : Don Nov 14 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "infowidget.h"

InfoWidget::InfoWidget(Options *pOptions, QWidget *parent, const char *name ) : QWidget(parent,name)
{
  options = pOptions;

  versionLabel1 = new QLabel(this);
  versionLabel1->setText(i18n ("version") + ":");
  versionLabel1->resize(100, 20);
  versionLabel1->move(STARTX, STARTY + STEPY * 3);
  versionLabel1->show();

  versionLabel2 = new QLabel(this);
  versionLabel2->setText(VERSION);
  versionLabel2->resize(150, 20);
  versionLabel2->move(STARTX2, STARTY + STEPY * 3);
  versionLabel2->show();

  homepageLabel1 = new QLabel(this);
  homepageLabel1->setText(i18n ("homepage") + ":");
  homepageLabel1->resize(100, 20);
  homepageLabel1->move(STARTX, STARTY + STEPY * 4);
  homepageLabel1->show();

  homepageLabel2 = new QLabel(this);
  homepageLabel2->setText("http://kwc.progeln.de");
  homepageLabel2->resize(150, 20);
  homepageLabel2->move(STARTX2, STARTY + STEPY * 4);
  homepageLabel2->show(); 
  
  authorLabel1 = new QLabel(this);
  authorLabel1->setText(i18n ("Author") + ":");
  authorLabel1->resize(100, 20);
  authorLabel1->move(STARTX, STARTY + STEPY * 5);
  authorLabel1->show();

  authorLabel2 = new QLabel(this);
  authorLabel2->setText("Matthias Reif");
  authorLabel2->resize(150, 20);
  authorLabel2->move(STARTX2, STARTY + STEPY * 5);
  authorLabel2->show();

  licenseLabel1 = new QLabel(this);
  licenseLabel1->setText(i18n ("license") + ":");
  licenseLabel1->resize(100, 20);
  licenseLabel1->move(STARTX, STARTY + STEPY * 6);
  licenseLabel1->show();

  licenseLabel2 = new QLabel(this);
  licenseLabel2->setText("GPL");
  licenseLabel2->resize(150, 20);
  licenseLabel2->move(STARTX2, STARTY + STEPY * 6);
  licenseLabel2->show();

  logoImage = new QImage(*(options->getKwcDir()) + "kwc.png");

}

InfoWidget::~InfoWidget(){
}

/** No descriptions */
void InfoWidget::paintEvent(QPaintEvent *ev)
{
  int x = ( width() - logoImage->width() ) / 2;
  QPainter p(this);
    p.drawImage(x, 30, *logoImage);
  p.end();
}
