/***************************************************************************
                          options.cpp  -  description
                             -------------------
    begin                : Sam Nov 23 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "options.h"

#include <kstandarddirs.h>

Options::Options() : QObject()
{
  device = new QString("eth1");
  polling = 5;
  kwcDir = new QString;
  *kwcDir = KGlobal::dirs()->findResourceDir( "appdata", "kwaveq0.png" );
  notString = new QString("<" + i18n ("not a wlan-device") + ">");
  pollingChanged(polling);
}

Options::~Options(){
}
/** set the device to use */
bool Options::setDevice(QString value)
{
  *device = value;
  return true;
}
/** returns the used device */
QString* Options::getDevice()
{
  return device;
}
/** sets the polling-time */
bool Options::setPolling(int value)
{
  polling = value;
  return true;
}
/** returns the polling-time */
int Options::getPolling()
{
  return polling;
}
/** sets the string shown when the device is not a wavelan device */
bool Options::setNotString(QString value)
{
  *notString = value;
  return true;                               
}
/** returns the string shown when the device is not a wavelan device */
QString* Options::getNotString()
{
  return notString;
}
/** No descriptions */
void Options::slotPolling(int value)
{
  polling = value;
  pollingChanged(polling);
}
/** No descriptions */
QString* Options::getKwcDir()
{
  return kwcDir;
}
