/***************************************************************************
                          options.h  -  description
                             -------------------
    begin                : Sam Nov 23 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPTIONS_H
#define OPTIONS_H

#include <qobject.h>
#include <qstring.h>
#include <klocale.h>

/**to store/load the options
  *@author Matthias Reif
  */

class Options : public QObject
{
  Q_OBJECT
public: 
	Options();
  /** set the device to use */
  bool setDevice(QString value);
	~Options();
  /** returns the polling-time */
  int getPolling();
  /** sets the polling-time */
  bool setPolling(int value);
  /** returns the used device */
  QString* getDevice();
  /** returns the string shown when the device is not a wavelan device */
  QString* getNotString();
  /** sets the string shown when the device is not a wavelan device */
  bool setNotString(QString value);
  /** No descriptions */
  QString* getKwcDir();


protected:
  QString   *device;
  int       polling;
  QString   *kwcDir;
  QString   *notString;

  
signals: // Signals
  /** when polling interval has been changed */
  void pollingChanged(int value);
public slots: // Public slots
  /** No descriptions */
  void slotPolling(int value);
};

#endif
