/***************************************************************************
                          wwidget.h  -  description
                             -------------------
    begin                : Die Nov 12 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef WWIDGET_H
#define WWIDGET_H

#include <qwidget.h>
#include <qlabel.h>
#include <kprogress.h>
#include <kpushbutton.h>
#include <ktabctl.h>

#include "options.h"
#include "basicwidget.h"
#include "extendedwidget.h"
#include "apointwidget.h"
#include "infowidget.h"


/**
  *@author Matthias Reif
  */

class WWidget : public QWidget  {
   Q_OBJECT
public: 
	WWidget(WCard *pCard, Options *pOptions, QWidget *parent=0, const char *name=0);
	~WWidget();
  /** No descriptions */
  int act(int link, int avg, int signal, int noise);

  KTabCtl *tab;

  BasicWidget     *basicWidget;
  ExtendedWidget  *extendedWidget;
  APointWidget    *aPointWidget;
  InfoWidget      *infoWidget;

private:
  Options         *options;
  KPushButton     *closeButton;
  
public slots: // Public slots
  /** No descriptions */
  void slotClose();
  /** No descriptions */
  void slotExtended(int index);
};

#endif
